diff --git a/game/client/src/main/java/net/minecraft/client/gui/server/ScreenSelectServer.java b/game/client/src/main/java/net/minecraft/client/gui/server/ScreenSelectServer.java
index ee93d2583..50e09f2db 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/server/ScreenSelectServer.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/server/ScreenSelectServer.java
@@ -10,7 +10,9 @@ import net.minecraft.client.gui.paged.ScreenPaged;
 import net.minecraft.client.gui.popup.PopupBuilder;
 import net.minecraft.client.gui.popup.PopupScreen;
 import net.minecraft.client.render.Scissor;
-import net.minecraft.client.render.tessellator.Tessellator;
+import net.minecraft.client.render.renderer.GLRenderer;
+import net.minecraft.client.render.renderer.Shaders;
+import net.minecraft.client.render.tessellator.TessellatorGeneral;
 import net.minecraft.client.render.texture.Texture;
 import net.minecraft.client.render.texture.TextureBuffered;
 import net.minecraft.core.Global;
@@ -23,7 +25,6 @@ import org.jetbrains.annotations.NotNull;
 import org.jetbrains.annotations.Nullable;
 import org.lwjgl.input.Keyboard;
 import org.lwjgl.input.Mouse;
-import org.lwjgl.opengl.GL11;
 
 import java.text.DateFormat;
 import java.text.SimpleDateFormat;
@@ -31,20 +32,18 @@ import java.time.Instant;
 import java.util.Date;
 import java.util.UUID;
 
-import static org.lwjgl.opengl.GL11.GL_TEXTURE_2D;
-import static org.lwjgl.opengl.GL11.glDisable;
-import static org.lwjgl.opengl.GL11.glEnable;
-
 public class ScreenSelectServer extends ScreenPaged {
     public static final Texture defaultIcon = Minecraft.getMinecraft().textureManager.loadTexture("/assets/minecraft/textures/gui/unknown_server.png");
     public static final @NotNull PageRegistry CREATE_WORLD_PAGES = new PageRegistry();
     private static final ItemStack MAP = Items.MAP.getDefaultStack();
+
     static {
         MAP.getData().putBoolean("initialized", true);
     }
+
     public static final @NotNull DateFormat timeFormatter = new SimpleDateFormat();
     public static final @NotNull Page PAGE_FAVORITES = CREATE_WORLD_PAGES.register(new Page("gui.select_server.page.favorites.title", Items.FLAG.getDefaultStack()));
-//    public static final @NotNull Page PAGE_INTERNET = CREATE_WORLD_PAGES.register(new Page("gui.select_server.page.internet.title", MAP));
+    //    public static final @NotNull Page PAGE_INTERNET = CREATE_WORLD_PAGES.register(new Page("gui.select_server.page.internet.title", MAP));
     public static final @NotNull Page PAGE_HISTORY = CREATE_WORLD_PAGES.register(new Page("gui.select_server.page.history.title", Items.BOOK.getDefaultStack()));
     public static final @NotNull Page PAGE_LAN = CREATE_WORLD_PAGES.register(new Page("gui.select_server.page.lan.title", Items.DOOR_OAK.getDefaultStack()));
     public static final @NotNull Page PAGE_DIRECT_CONNECT = CREATE_WORLD_PAGES.register(new Page("gui.select_server.page.direct_connect.title", Items.AMMO_ARROW_GOLD.getDefaultStack()));
@@ -56,7 +55,7 @@ public class ScreenSelectServer extends ScreenPaged {
     public @Nullable ServerEntry selectedEntry = null;
 
     public ButtonElement buttonJoin;
-//    public ButtonElement buttonDirectConnect;
+    //    public ButtonElement buttonDirectConnect;
     public ButtonElement buttonAddServer;
     public ButtonElement buttonEdit;
     public ButtonElement buttonDelete;
@@ -73,7 +72,7 @@ public class ScreenSelectServer extends ScreenPaged {
     protected float panelHeight = 100000;
 
     public ScreenSelectServer(@Nullable Screen parent) {
-        super(parent, CREATE_WORLD_PAGES, PAGE_FAVORITES, "gui.select_server.label.title", new String[] {});
+        super(parent, CREATE_WORLD_PAGES, PAGE_FAVORITES, "gui.select_server.label.title", new String[]{});
 
         this.serverManager = ServerManager.getServerManager(this);
         this.listenerThread = new ServerListenerThread(this);
@@ -101,40 +100,40 @@ public class ScreenSelectServer extends ScreenPaged {
         PAGE_DIRECT_CONNECT.clearComponents();
         PAGE_DIRECT_CONNECT.withComponent(new SeverDirectConnectComponent(this));
 
-        serverManager.getFavorites().forEach(e -> PAGE_FAVORITES.withComponent(new ServerEntryComponent(this, e)));
-        serverManager.getLan().forEach(e -> PAGE_LAN.withComponent(new ServerEntryComponent(this, e)));
-        serverManager.getHistory().forEach(e -> PAGE_HISTORY.withComponent(new ServerEntryComponent(this, e)));
+        this.serverManager.getFavorites().forEach(e -> PAGE_FAVORITES.withComponent(new ServerEntryComponent(this, e)));
+        this.serverManager.getLan().forEach(e -> PAGE_LAN.withComponent(new ServerEntryComponent(this, e)));
+        this.serverManager.getHistory().forEach(e -> PAGE_HISTORY.withComponent(new ServerEntryComponent(this, e)));
 //        serverManager.getInternet().forEach(e -> PAGE_INTERNET.withComponent(new ServerEntryComponent(this, e)));
     }
 
     public void setupButtons() {
-        if (selectedPage != PAGE_DIRECT_CONNECT) {
-            this.rightOffset = (int) (width * 0.25f);
+        if (this.selectedPage != PAGE_DIRECT_CONNECT) {
+            this.rightOffset = (int) (this.width * 0.25f);
         } else {
             this.rightOffset = 0;
         }
 
-        buttons.clear();
+        this.buttons.clear();
         I18n trans = I18n.getInstance();
 
-        int x1 = width / 2 - 154;
-        int y1 = height - 52;
-        int y2 = height - 24;
+        int x1 = this.width / 2 - 154;
+        int y1 = this.height - 52;
+        int y2 = this.height - 24;
 
-        int w = width - rightOffset - leftWidth;
+        int w = this.width - this.rightOffset - this.leftWidth;
 
-        buttonJoin = add(new ButtonElement(0, width - rightOffset + 10, bottom - 22 * 3, rightOffset - 12, 20, trans.translateKey("gui.select_server.button.join_server")));
-        buttonEdit = add(new ButtonElement(3, width - rightOffset + 10, bottom - 22 * 2, rightOffset - 12, 20, trans.translateKey("gui.select_server.button.edit")));
-        buttonDelete = add(new ButtonElement(4, width - rightOffset + 10, bottom - 22, rightOffset - 12, 20, trans.translateKey("gui.select_server.button.delete")));
+        this.buttonJoin = add(new ButtonElement(0, this.width - this.rightOffset + 10, this.bottom - 22 * 3, this.rightOffset - 12, 20, trans.translateKey("gui.select_server.button.join_server")));
+        this.buttonEdit = add(new ButtonElement(3, this.width - this.rightOffset + 10, this.bottom - 22 * 2, this.rightOffset - 12, 20, trans.translateKey("gui.select_server.button.edit")));
+        this.buttonDelete = add(new ButtonElement(4, this.width - this.rightOffset + 10, this.bottom - 22, this.rightOffset - 12, 20, trans.translateKey("gui.select_server.button.delete")));
 
-        buttonAddServer = add(new ButtonElement(2, x1 + 208, y2, 100, 20, trans.translateKey("gui.select_server.button.add_server")));
-        buttonRefresh = add(new ButtonElement(5, x1 + 104, y2, 100, 20, trans.translateKey("gui.select_server.button.refresh")));
-        buttonCancel = add(new ButtonElement(6, x1, y2, 100, 20, trans.translateKey("gui.select_server.button.cancel")));
+        this.buttonAddServer = add(new ButtonElement(2, x1 + 208, y2, 100, 20, trans.translateKey("gui.select_server.button.add_server")));
+        this.buttonRefresh = add(new ButtonElement(5, x1 + 104, y2, 100, 20, trans.translateKey("gui.select_server.button.refresh")));
+        this.buttonCancel = add(new ButtonElement(6, x1, y2, 100, 20, trans.translateKey("gui.select_server.button.cancel")));
 
-        if (selectedPage == PAGE_DIRECT_CONNECT) {
-            buttonAddServer.enabled = buttonAddServer.visible = false;
-            buttonRefresh.enabled = buttonRefresh.visible = false;
-            buttonCancel.xPosition = (width - 100) / 2;
+        if (this.selectedPage == PAGE_DIRECT_CONNECT) {
+            this.buttonAddServer.enabled = this.buttonAddServer.visible = false;
+            this.buttonRefresh.enabled = this.buttonRefresh.visible = false;
+            this.buttonCancel.xPosition = (this.width - 100) / 2;
         }
 
         this.panelScrollRegionHeight = this.buttonJoin.yPosition - this.top;
@@ -142,7 +141,7 @@ public class ScreenSelectServer extends ScreenPaged {
 
     @Override
     protected void buttonClicked(@NotNull ButtonElement button) {
-        if (button == buttonCancel) {
+        if (button == this.buttonCancel) {
             this.mc.displayScreen(this.getParentScreen());
             freeResources();
         } /*else if (button == buttonDirectConnect) {
@@ -167,7 +166,7 @@ public class ScreenSelectServer extends ScreenPaged {
                 })
                 .build();
             this.mc.displayScreen(directConnect);
-        }*/ else if (button == buttonAddServer) {
+        }*/ else if (button == this.buttonAddServer) {
             PopupScreen add = new PopupBuilder(this, 160)
                 .withLabel("gui.select_server.popup.add.prompt.name")
                 .withTextField("name", "")
@@ -187,15 +186,15 @@ public class ScreenSelectServer extends ScreenPaged {
                         entry.showIp = (Boolean) results.get("showIp");
                         entry.dirty = true;
                         entry.requestIcon = true;
-                        serverManager.addEntry(entry);
-                        serverManager.addFavorite(entry);
+                        this.serverManager.addEntry(entry);
+                        this.serverManager.addFavorite(entry);
                         refreshPages();
                     }
                 })
                 .build();
             this.mc.displayScreen(add);
-        } else if (button == buttonEdit && selectedEntry != null) {
-            ServerEntry tEntry = selectedEntry;
+        } else if (button == this.buttonEdit && this.selectedEntry != null) {
+            ServerEntry tEntry = this.selectedEntry;
             PopupScreen edit = new PopupBuilder(this, 160)
                 .withLabel("gui.select_server.popup.edit.prompt.name")
                 .withTextField("name", tEntry.overrideName == null ? "" : tEntry.overrideName)
@@ -221,16 +220,16 @@ public class ScreenSelectServer extends ScreenPaged {
                 })
                 .build();
             this.mc.displayScreen(edit);
-        } else if (button == buttonJoin) {
-            if (selectedEntry != null) {
-                needToRefreshPages = true;
-                serverManager.onJoined(selectedEntry);
-                joinServer(selectedEntry.getServerAddress());
+        } else if (button == this.buttonJoin) {
+            if (this.selectedEntry != null) {
+                this.needToRefreshPages = true;
+                this.serverManager.onJoined(this.selectedEntry);
+                joinServer(this.selectedEntry.getServerAddress());
             }
-        } else if (button == buttonRefresh) {
+        } else if (button == this.buttonRefresh) {
             refresh();
-        } else if (button == buttonDelete && selectedEntry != null) {
-            deleteEntry(selectedEntry);
+        } else if (button == this.buttonDelete && this.selectedEntry != null) {
+            deleteEntry(this.selectedEntry);
         }
     }
 
@@ -249,55 +248,55 @@ public class ScreenSelectServer extends ScreenPaged {
     }
 
     private int getTotalPanelHeight() {
-        return (int) panelHeight;
+        return (int) this.panelHeight;
     }
 
     public void joinServer(@NotNull ServerAddress address) {
-        mc.gameSettings.lastServer.value = address.toString().replaceAll(":", "_");
-        mc.gameSettings.saveOptions();
-        mc.displayScreen(new ScreenConnecting(mc, address.getIP(), address.getPort()));
+        this.mc.gameSettings.lastServer.value = address.toString().replaceAll(":", "_");
+        this.mc.gameSettings.saveOptions();
+        this.mc.displayScreen(new ScreenConnecting(this.mc, address.getIP(), address.getPort()));
         freeResources();
     }
 
     public void freeResources() { // Wonder how long until this not being called at the right time causes a memory leak :)
-        serverManager.freeResources();
-        listenerThread.keepAlive = false;
+        this.serverManager.freeResources();
+        this.listenerThread.keepAlive = false;
     }
 
     public void refresh() {
-        serverManager.idToEntryLock.lock();
+        this.serverManager.idToEntryLock.lock();
         try {
-            serverManager.idToEntryMap.forEach((uuid, entry) -> entry.dirty = true);
+            this.serverManager.idToEntryMap.forEach((uuid, entry) -> entry.dirty = true);
         } finally {
-            serverManager.idToEntryLock.unlock();
+            this.serverManager.idToEntryLock.unlock();
         }
     }
 
     @Override
     public void tick() {
-        serverManager.idToEntryLock.lock();
+        this.serverManager.idToEntryLock.lock();
         try {
-            serverManager.idToEntryMap.values().stream().filter(entry -> entry.queuedIcon != null).forEach(entry -> {
+            this.serverManager.idToEntryMap.values().stream().filter(entry -> entry.queuedIcon != null).forEach(entry -> {
                 entry.icon = new TextureBuffered(entry.queuedIcon, false, false, false);
                 entry.queuedIcon = null;
             });
         } finally {
-            serverManager.idToEntryLock.unlock();
+            this.serverManager.idToEntryLock.unlock();
         }
     }
 
     public void deleteEntry(@NotNull ServerEntry entry) {
-        if (selectedPage == PAGE_FAVORITES) {
-            serverManager.removeFavorite(entry);
-        } else if (selectedPage == PAGE_HISTORY) {
-            serverManager.removeHistory(entry);
+        if (this.selectedPage == PAGE_FAVORITES) {
+            this.serverManager.removeFavorite(entry);
+        } else if (this.selectedPage == PAGE_HISTORY) {
+            this.serverManager.removeHistory(entry);
         }
         refreshPages();
     }
 
     @Override
     public void handleScroll(int mx, int my, float partialTick) {
-        if (mx > this.width - rightOffset && mx < this.width) {
+        if (mx > this.width - this.rightOffset && mx < this.width) {
             if (Keyboard.isKeyDown(Keyboard.KEY_LCONTROL) || Keyboard.isKeyDown(Keyboard.KEY_RCONTROL)) {
                 this.scrollPanel(Mouse.getDWheel() / -0.01f);
             } else {
@@ -311,23 +310,23 @@ public class ScreenSelectServer extends ScreenPaged {
 
     @Override
     public void render(int mx, int my, float renderPartialTicks) {
-        if (addressToJoin != null) {
-            joinServer(addressToJoin);
+        if (this.addressToJoin != null) {
+            joinServer(this.addressToJoin);
             return;
         }
-        if (needToRefreshPages) {
-            needToRefreshPages = false;
+        if (this.needToRefreshPages) {
+            this.needToRefreshPages = false;
             refreshPages();
         }
 
-        this.buttonJoin.visible = this.buttonJoin.enabled = selectedEntry != null;
-        this.buttonEdit.visible = this.buttonEdit.enabled = selectedEntry != null;
-        this.buttonDelete.visible = this.buttonDelete.enabled = selectedEntry != null;
+        this.buttonJoin.visible = this.buttonJoin.enabled = this.selectedEntry != null;
+        this.buttonEdit.visible = this.buttonEdit.enabled = this.selectedEntry != null;
+        this.buttonDelete.visible = this.buttonDelete.enabled = this.selectedEntry != null;
 
         super.render(mx, my, renderPartialTicks);
 
-        this.overlayBackground(this.width - rightOffset, this.width - rightOffset + SEPARATOR_WIDTH, this.top, this.bottom);
-        Scissor.enable(this.width - rightOffset, this.top, rightOffset, this.buttonJoin.yPosition - this.top);
+        this.overlayBackground(this.width - this.rightOffset, this.width - this.rightOffset + SEPARATOR_WIDTH, this.top, this.bottom);
+        Scissor.enable(this.width - this.rightOffset, this.top, this.rightOffset, this.buttonJoin.yPosition - this.top);
         renderSelectedEntry(mx, my, renderPartialTicks);
         Scissor.disable();
     }
@@ -338,8 +337,6 @@ public class ScreenSelectServer extends ScreenPaged {
 
         if (scrollBarHeightPercent > 1.0f) return;
 
-        glDisable(GL_TEXTURE_2D);
-
         final int scrollBarX = this.width - 6;
 
         int scrollBarHeightPx = (int) (scrollBarHeightPercent * this.panelScrollRegionHeight);
@@ -351,18 +348,19 @@ public class ScreenSelectServer extends ScreenPaged {
 
         final int scrollBarY = (int) (this.top + (this.panelScrollRegionHeight - scrollBarHeightPx) * scrollPercent);
 
-        final @NotNull Tessellator t = Tessellator.instance;
 
+        GLRenderer.pushFrame();
+        GLRenderer.setShader(Shaders.COLOR);
+        final @NotNull TessellatorGeneral t = GLRenderer.getTessellator();
         t.startDrawingQuads();
-        t.setColorOpaque(0, 0, 0);
+        t.setColorOpaque3i(0, 0, 0);
         t.drawRectangle(scrollBarX, this.top, 6, this.panelScrollRegionHeight);
-        t.setColorRGBA_I(0x808080, 255);
+        t.setColor2i(0x808080, 255);
         t.drawRectangle(scrollBarX, scrollBarY, 6, scrollBarHeightPx);
-        t.setColorRGBA_I(0xc0c0c0, 255);
+        t.setColor2i(0xc0c0c0, 255);
         t.drawRectangle(scrollBarX + 1, scrollBarY, 5, scrollBarHeightPx - 1);
         t.draw();
-
-        glEnable(GL_TEXTURE_2D);
+        GLRenderer.popFrame();
 
         if (this.clickX != null && this.clickY != null) {
             if (this.clickX >= scrollBarX && this.clickY >= this.top && this.clickX <= scrollBarX + 6 && this.clickY < this.bottom) {
@@ -378,50 +376,50 @@ public class ScreenSelectServer extends ScreenPaged {
     }
 
     public void renderSelectedEntry(int mx, int my, float partialTick) {
-        if (selectedEntry != null) {
+        if (this.selectedEntry != null) {
             int totalPanelHeight = getTotalPanelHeight();
             final float scrollBarHeightPercent = (float) this.panelScrollRegionHeight / totalPanelHeight;
 
-            Tessellator t = Tessellator.instance;
-            int minX = this.width - rightOffset + SEPARATOR_WIDTH;
+            TessellatorGeneral t = GLRenderer.getTessellator();
+            int minX = this.width - this.rightOffset + SEPARATOR_WIDTH;
             int maxX = this.width;
-            int y = (int) (top + 4 - panelScrollAmount);
+            int y = (int) (this.top + 4 - this.panelScrollAmount);
             int startY = y;
-            if (selectedEntry.icon != null) {
-                selectedEntry.icon.bind();
+            if (this.selectedEntry.icon != null) {
+                this.selectedEntry.icon.bind();
                 t.startDrawingQuads();
-                t.drawRectangleWithUV(minX + (maxX - minX - 64)/2, y, 64, 64, 0, 0, 1, 1);
+                t.drawRectangleWithUV(minX + (maxX - minX - 64) / 2, y, 64, 64, 0, 0, 1, 1);
                 y += 64 + 2;
                 t.draw();
             }
 
             stringBuilder.setLength(0);
-            if (selectedEntry.showIp) {
-                stringBuilder.append(TextFormatting.GRAY).append(selectedEntry.getServerAddress().getIP()).append(":").append(selectedEntry.getServerAddress().getPort()).append(TextFormatting.RESET).append("\n");
+            if (this.selectedEntry.showIp) {
+                stringBuilder.append(TextFormatting.GRAY).append(this.selectedEntry.getServerAddress().getIP()).append(":").append(this.selectedEntry.getServerAddress().getPort()).append(TextFormatting.RESET).append("\n");
             }
 //            builder.append(TextFormatting.GRAY);
-            stringBuilder.append(selectedEntry.getName("Unknown"));
-            if (selectedEntry.version != null) {
+            stringBuilder.append(this.selectedEntry.getName("Unknown"));
+            if (this.selectedEntry.version != null) {
                 stringBuilder.append(TextFormatting.RESET).append("\n\n");
-                stringBuilder.append(selectedEntry.protocolVersion == Global.MP_PROTOCOL_VERSION ? TextFormatting.YELLOW : TextFormatting.RED).append(selectedEntry.version);
+                stringBuilder.append(this.selectedEntry.protocolVersion == Global.MP_PROTOCOL_VERSION ? TextFormatting.YELLOW : TextFormatting.RED).append(this.selectedEntry.version);
             }
             stringBuilder.append(TextFormatting.RESET).append("\n\n");
-            if (selectedEntry.motd != null) {
-                stringBuilder.append(selectedEntry.motd);
+            if (this.selectedEntry.motd != null) {
+                stringBuilder.append(this.selectedEntry.motd);
             }
-            if (!selectedEntry.players.isEmpty()) {
+            if (!this.selectedEntry.players.isEmpty()) {
                 stringBuilder.append(TextFormatting.RESET).append("\n\n");
                 stringBuilder.append("Players:\n");
-                for (int i = 0; i < selectedEntry.players.size(); i++) {
-                    stringBuilder.append(" - ").append(TextFormatting.GRAY).append(selectedEntry.players.get(i)).append(TextFormatting.RESET).append("\n");
+                for (int i = 0; i < this.selectedEntry.players.size(); i++) {
+                    stringBuilder.append(" - ").append(TextFormatting.GRAY).append(this.selectedEntry.players.get(i)).append(TextFormatting.RESET).append("\n");
                 }
             }
-            if (selectedEntry.lastPlayedTime >= 0) {
+            if (this.selectedEntry.lastPlayedTime >= 0) {
                 stringBuilder.append(TextFormatting.RESET).append("\n\n");
-                stringBuilder.append("Last Played: ").append(timeFormatter.format(Date.from(Instant.ofEpochMilli(selectedEntry.lastPlayedTime))));
+                stringBuilder.append("Last Played: ").append(timeFormatter.format(Date.from(Instant.ofEpochMilli(this.selectedEntry.lastPlayedTime))));
             }
-            mc.font.renderWidthConstrained(t, stringBuilder, minX + 2, y, maxX - minX - 4 - ((scrollBarHeightPercent > 1.0f) ? 0 : 6)).setShadow().call();
-            panelHeight = (float) (mc.font.getLastEndingY() - startY) + 8;
+            this.mc.font.renderWidthConstrained(stringBuilder, minX + 2, y, maxX - minX - 4 - ((scrollBarHeightPercent > 1.0f) ? 0 : 6)).setShadow().call();
+            this.panelHeight = (float) (this.mc.font.getLastEndingY() - startY) + 8;
 
             drawPanelScrollBar(mx, my);
         }
@@ -444,22 +442,22 @@ public class ScreenSelectServer extends ScreenPaged {
     public void renderBackground() {
         if (this.mc.currentWorld == null) {
             this.renderTexturedBackground();
-            final @NotNull Tessellator tessellator = Tessellator.instance;
+            final @NotNull TessellatorGeneral tessellator = GLRenderer.getTessellator();
             this.mc.textureManager.loadTexture("/assets/minecraft/textures/gui/background.png").bind();
-            GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
+            GLRenderer.setColor4f(1.0F, 1.0F, 1.0F, 1.0F);
             final float scale = 32F;
             tessellator.startDrawingQuads();
-            tessellator.setColorOpaque_I(0x202020);
+            tessellator.setColorOpaque1i(0x202020);
 
             tessellator.addVertexWithUV(0, this.bottom, 0.0D, 0, (float) (this.bottom + (int) this.rightScrollAmount) / scale);
-            tessellator.addVertexWithUV(this.width - rightOffset, this.bottom, 0.0D, (float) (this.width - rightOffset) / scale, (this.bottom + this.rightScrollAmount) / scale);
-            tessellator.addVertexWithUV(this.width - rightOffset, this.top, 0.0D, (float) (this.width - rightOffset) / scale, (this.top + this.rightScrollAmount) / scale);
+            tessellator.addVertexWithUV(this.width - this.rightOffset, this.bottom, 0.0D, (float) (this.width - this.rightOffset) / scale, (this.bottom + this.rightScrollAmount) / scale);
+            tessellator.addVertexWithUV(this.width - this.rightOffset, this.top, 0.0D, (float) (this.width - this.rightOffset) / scale, (this.top + this.rightScrollAmount) / scale);
             tessellator.addVertexWithUV(0, this.top, 0.0D, 0, (float) (this.top + (int) this.rightScrollAmount) / scale);
 
-            tessellator.addVertexWithUV(this.width - rightOffset, this.bottom, 0.0D, (this.width - rightOffset) / scale, (this.bottom + this.panelScrollAmount) / scale);
+            tessellator.addVertexWithUV(this.width - this.rightOffset, this.bottom, 0.0D, (this.width - this.rightOffset) / scale, (this.bottom + this.panelScrollAmount) / scale);
             tessellator.addVertexWithUV(this.width, this.bottom, 0.0D, (float) (this.width) / scale, (this.bottom + this.panelScrollAmount) / scale);
             tessellator.addVertexWithUV(this.width, this.top, 0.0D, (float) (this.width) / scale, (this.top + this.panelScrollAmount) / scale);
-            tessellator.addVertexWithUV(this.width - rightOffset, this.top, 0.0D, (this.width - rightOffset) / scale, (this.top + this.panelScrollAmount) / scale);
+            tessellator.addVertexWithUV(this.width - this.rightOffset, this.top, 0.0D, (this.width - this.rightOffset) / scale, (this.top + this.panelScrollAmount) / scale);
 
             tessellator.addVertexWithUV(0, this.bottom, 0.0D, 0, (this.bottom + this.leftScrollAmount) / scale);
             tessellator.addVertexWithUV(this.leftWidth, this.bottom, 0.0D, (float) this.leftWidth / scale, (this.bottom + this.leftScrollAmount) / scale);
@@ -479,7 +477,7 @@ public class ScreenSelectServer extends ScreenPaged {
     @Override
     public void removed() {
         super.removed();
-        ServerManager.saveServerManager(serverManager);
+        ServerManager.saveServerManager(this.serverManager);
     }
 
 }
diff --git a/game/client/src/main/java/net/minecraft/client/gui/server/ServerEntry.java b/game/client/src/main/java/net/minecraft/client/gui/server/ServerEntry.java
index aa505df8b..288271d77 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/server/ServerEntry.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/server/ServerEntry.java
@@ -45,22 +45,22 @@ public class ServerEntry {
     }
 
     public @NotNull String getName(@NotNull String defaultName) {
-        if (overrideName != null && !overrideName.isBlank()) return overrideName;
-        if (baseName != null && !baseName.isBlank()) return baseName;
+        if (this.overrideName != null && !this.overrideName.isBlank()) return this.overrideName;
+        if (this.baseName != null && !this.baseName.isBlank()) return this.baseName;
         return defaultName;
     }
 
     public void free() {
-        if (icon != null && icon != ScreenSelectServer.defaultIcon) {
-            icon.delete();
-            icon = null;
+        if (this.icon != null && this.icon != ScreenSelectServer.defaultIcon) {
+            this.icon.delete();
+            this.icon = null;
         }
     }
 
     public @NotNull ServerAddress getServerAddress() {
-        if (addressResolved == null) {
+        if (this.addressResolved == null) {
             this.addressResolved = Objects.requireNonNull(ServerAddress.resolveServerIP(this.address));
         }
-        return addressResolved;
+        return this.addressResolved;
     }
 }
